Subject: Template cleanup

Description: Now that I have everything working, I've noticed a couple problems with a templates. Generally, the &raquo; 

character should be replaced with the html symbol code (@&raquo;@). For example, the "Read more" link in 

announcementlist.tpl ends up showing with a &Aring; in Chrome. I believe this is true thoughout the 

templates.



Also, I discovered that the Staff Avatar doesn't show up in news articles. In the same file, line 19 needs to be 

revised because $_baseNAME and $_templateGroupPrefix, among other elements are not rendering.



If I find similiar template errors I will post them here.

History

03/24/2013 03:15 pm - Mark Cox

Also, I was wondering if there's a way we can update the clienthome template so that the open ticket list can populate, as well as update the "Our 

Latest News" snippet to grab the lastest news article from the Kayako database.

04/02/2013 11:45 pm - Amarjeet Kaur

Hi Mark,



The clientarea template is updated with 'Open Ticket List' in new build. 



And some other template issues are also resolved.



Thank you,

Amarjeet Kaur

04/03/2013 01:51 pm - Mark Cox

Amarjeet,



I went ahead and uploaded the new updates. However, these issues still remain:



The news snippet in the clientareahome.tpl file is still retrieving the first 100 characters of the last annoucement posted in the WHMCS database, 

instead of the Kayako database. When I click on the "More.." button it then goes to the proper Kayako integrated announcements, however.



I'm talking about this part of the code in our regular template file:



{if $announcements}

<div class="alert alert-warning">

    <p><strong>{$LANG.ourlatestnews}:</strong> {$announcements.0.text|strip_tags|truncate:100:'...'} - <a 

href="announcements.php?id={$announcements.0.id}" class="btn btn-mini">{$LANG.more}...</a></p>

</div>

{/if}



Also, there are still issues with the support tickets. First of all, only new tickets seem to populate in the ticket list. When I log into the client area with a 

test account and go to Support > Tickets, no preexisting tickets showed in the list, just "You do not have any open ticket in your account. Please click 

here to submit new ticket." After creating a new ticket, the new one appeared, but no preexisting (open) tickets. Also, there doesn't seem to be a way 

to view closed tickets (in case someone needs to reopen a ticket).
04/03/2013 10:37 pm - Mark Cox

I just discovered why the old tickets weren't appearing... The email address on the test account was changed and it created a separate user record in 

the Kayako database. Still, no way to view closed tickets.

04/03/2013 11:07 pm - Mark Cox

I forgot to add that the Staff Avatar still doesn't show as well.

04/04/2013 01:11 am - Amarjeet Kaur

Hi Mark,



Please find below the answers of your queries:



1. *The news snippet in the clientareahome.tpl file is still retrieving the first 100 characters*



This is template file provided by WHMCS.  This is not controlled by Kayako. 



2. *No way to view closed tickets.*



To avoid the page load time, we have added a drop down list of  departments in *Support > Tickets*.



Now by default, tickets related to selected department will load.  If that department has any list of closed tickets, only then you can see ' View resolved 

tickets' button.



3. *Staff Avatar still doesn't show as well.*



Currently,  our API does not provide support to return staff Avatar.  We will keep your point under consideration.



Thank you,

Amarjeet Kaur

04/14/2013 03:35 pm - Mark Cox

Amarjeet Kaur wrote: 

> 1. *The news snippet in the clientareahome.tpl file is still retrieving the first 100 characters*

> 

> This is template file provided by WHMCS.  This is not controlled by Kayako. 



I would like to modify the homepage.tpl file to allow access to the Kayako announcements. However, I can't seem to figure out how to get the 

integration variables into the template. I've noticed that since announcements.php is in the WHMCS_URL/modules/support/kayako folder, it overrides 

the WHMCS_URL/templates/custom_template/announcements.tpl file, and of course the variables are automatically brought in.



How can I make use of these variables in the client area home page?



>3. Staff Avatar still doesn't show as well.

>

>Currently, our API does not provide support to return staff Avatar. We will keep your point under consideration.



This was fairly easy to do. I added the Helpdesk Base URL to the config.php file, then added

<pre>

$smarty->assign('_helpdeskBaseURL', BASE_URL);

</pre>

to the bottom of announcements.php. It seems to work just fine now.

04/14/2013 03:38 pm - Mark Cox
Mark Cox wrote:



> This was fairly easy to do. I added the Helpdesk Base URL to the config.php file, then added

> [...]

> to the bottom of announcements.php. It seems to work just fine now.



I forgot to mention, I also modified the following line in announcements.tpl in WHMCS_URL/templates/kayako:

<pre>

<div class="newsavatar">

<img src="{$_helpdeskBaseURL}/Base/StaffProfile/DisplayAvatar/{$_newsItem.staffid}/{$_newsItem.emailhash}/60" align="absmiddle" border="0" />

</div>

</pre>
